%define anolis_release 2
%global appname org.gnome.Characters

%global gjs_version 1.50
%global gtk4_version 4.6
%global libadwaita_version 1.0.0

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		gnome-characters
Version:	42.0
Release: %{anolis_release}%{dist}
Summary:	Character map application for GNOME
# Files from gtk-js-app are licensed under 3-clause BSD.
# Other files are GPL 2.0 or later.
License:	BSD and GPLv2+
URL:		https://wiki.gnome.org/Design/Apps/CharacterMap
Source0:	https://download.gnome.org/sources/%{name}/42/%{name}-%{tarball_version}.tar.xz

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gobject-introspection-devel
BuildRequires:	libappstream-glib
BuildRequires:	libunistring-devel
BuildRequires:	meson
BuildRequires:	pkgconfig(gjs-1.0) >= %{gjs_version}
BuildRequires:	pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:	pkgconfig(libadwaita-1) >= %{libadwaita_version}

Requires:	gjs >= %{gjs_version}
Requires:	gnome-desktop4
Requires:	gtk4 >= %{gtk4_version}
Requires:	libadwaita >= %{libadwaita_version}

%description
Characters is a simple utility application to find and insert unusual
characters.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{appname}
%generate_compatibility_deps


%check
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{appname}.desktop

%files -f %{appname}.lang
%license COPYING COPYINGv2
%{_bindir}/%{name}
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/dbus-1/services/%{appname}.service
%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_datadir}/%{appname}
%{_datadir}/gnome-shell/search-providers/%{appname}.search-provider.ini
%{_datadir}/icons/hicolor/scalable/apps/%{appname}.svg
%{_datadir}/icons/hicolor/symbolic/apps/%{appname}-symbolic.svg
%{_datadir}/metainfo/%{appname}.appdata.xml
%{_libdir}/%{appname}

%dir %{abidir}
%{abidir}/libgc.dump

%files doc
%doc NEWS README.md

%changelog
* Mon Dec 09 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 42.0-2
- Rebuild for remove inappropriate build dependencies.

* Mon Mar 20 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 42.0-1
- Init package from upstream
